package logic

import (
	"log"
	"testing"

	"github.com/474420502/requests"
)

func TestCaseAddressList(t *testing.T) {

	// http.NewRequest("POST", "http://localhost:8888/user/login", body io.Reader)

	ses := requests.NewSession()
	tp := ses.Post("http://localhost:8888/user/login")
	resp, err := tp.SetBodyJson(map[string]interface{}{
		"name": "devenv@sina.cn",
		"pwd":  "$2y$13$6UFDMZQMEfqFYiNLpiUCi.B3fpvGEamPAjIgzUqv/u7jT05nB3pOC",
	}).Execute()
	if err != nil {
		panic(err)
	}
	result := resp.Json()
	token := result.Get("data.token")
	ses.Header.Add("Authorization", token.String())
	log.Println(string(resp.Content()))

	resp, err = ses.Get("http://localhost:8888/user/address-list").Execute()
	if err != nil {
		panic(err)
	}
	log.Println(string(resp.Content()))

}
