package gmodel

import "gorm.io/gorm"

type FsProductTemplateTags struct {
	Id       int64   `gorm:"primary_key" json:"id"`      // ID
	Title    *string `gorm:"default:''" json:"title"`    // 标题
	Status   *int64  `gorm:"default:1" json:"status"`    // 状态 1：可用 0不可用
	CreateAt *int64  `gorm:"default:0" json:"create_at"` // 创建时间
}
type FsProductTemplateTagsModel struct {
	db *gorm.DB
}

func NewFsProductTemplateTagsModel(db *gorm.DB) *FsProductTemplateTagsModel {
	return &FsProductTemplateTagsModel{db}
}
